org.jboss.netty.handler.codec.rtsp

## Class RtspMessageEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.HttpMessageEncoder
    - - org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

Direct Known Subclasses:
  RtspRequestEncoder, RtspResponseEncoder

    @ChannelHandler.Sharable
    public abstract class RtspMessageEncoder
    extends HttpMessageEncoder

Encodes an RTSP message represented in `HttpMessage` into a `ChannelBuffer`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
`protected` `RtspMessageEncoder()` Creates a new instance.

### Method Summary

Methods
`protected Object` `encode(ChannelHandlerContext ctx, Channel channel, Object msg)` Transforms the specified message into another message and return the transformed message.

### Methods inherited from class org.jboss.netty.handler.codec.http.HttpMessageEncoder

`encodeInitialLine`

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RtspMessageEncoder

    protected RtspMessageEncoder()

Creates a new instance.

### Method Detail

#### encode

    protected Object encode(ChannelHandlerContext ctx,
                Channel channel,
                Object msg)
                     throws Exception

Description copied from class: `OneToOneEncoder`
Transforms the specified message into another message and return the transformed message. Note that you can not return `null`, unlike you can in `OneToOneDecoder.decode(ChannelHandlerContext, Channel, Object)`; you must return something, at least `ChannelBuffers.EMPTY_BUFFER`.

Overrides:
  `encode` in class `HttpMessageEncoder`
Throws:
  `Exception`